Bug 21632 - konsole uses wrong defaults when restarting
Summary: konsole uses wrong defaults when restarting
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-02 22:55 UTC by Stephen Rasku
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 19:39:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Rasku 2000-12-02 22:55:44 UTC
If you have a konsole window open on a Root Console when you shutdown it
will use the defaults for the Root Console instead of the default for the
base konsole.  My konsole default is black on yellow, medium font and my
Root Console is black on white, large bold font.  So if I leave it on Root
Console it will come up white and big instead of yellow and medium.

Comment 1 Helge Deller 2001-06-11 12:37:59 UTC
problem doesn't exist with kdebase-2.2.0.alpha2.2.rpm (CVS >= 20010503)
(you should always choose Settings->Save Settings to save your settings - 
independed of you work as normal user or root)


Comment 2 Stephen Rasku 2001-06-14 04:19:31 UTC
I probably didn't explain this clearly enough the first time.  I am not running
KDE as root, I am running as myself but I open a Root Console from the File
menu.  If I leave the Root Console window open when I shutdown, all the sessions
in that Konsole will have the same attributes as the window left open even if
different sessions had different attributes when I shutdown.

Another problem is that the Root Console is re-opened but it doesn't have root
permissions.  I know it's not possible to preserve root permissions across X
sessions like this but maybe we should delete "Root Console" sessions from
Konsole if you aren't running as root.

Comment 3 Ngo Than 2002-10-17 10:22:09 UTC
It's fixed in 8.0 release


Note You need to log in before you can comment on or make changes to this bug.